# DocuSign_test_project

DocuSign signature test integration with python DRF service



Проект подразумевает то, что Вы уже зарегистрировались на платформе [DocuSign](https://appdemo.docusign.com/home) и дали согласие на отправку письма на почту.


## Технологии
- [Django](https://docs.djangoproject.com/en/4.2/)
- [Django Rest Framework](https://www.django-rest-framework.org/)
- [Python](https://www.python.org/)


## Разработка

### Требования
Для установки и запуска проекта, необходим [Python](https://www.python.org/) v3.10+.
- Также добавьте и заполните **.env** файл со своими данными

Для начала работы приложения нужно:

Вы можете запустить проект двумя разными способами, локально и с помощью контейнера докер

Начнем с запуска приложения локально


### Установка зависимостей
Для установки зависимостей, выполните команду:
```sh
$ pip install -r requirements/base.txt
```

### Проведение миграций
После этого проведите миграции:
```sh
python3 manage.py migrate
```

### Запуск Development сервера
Чтобы запустить сервер для разработки, выполните команду:
```sh
python3 manage.py runserver
```

### Запуск Development сервера через Docker
Чтобы запустить сервер для разработки,через Docker выполните команду:
```sh
docker-compose up
```

## Как пользоваться
Переидите по ссылке:
   - если запустили локально - http://127.0.0.1:8000
   - если запустили через Docker - http://0.0.0.0

Переидя по ссылке заполните форму, после чего проверьте почту по емейлу который Вы указали в форме, Вам должно прийти письмо с ссылкой на
подпись документа, Вам остается только выполнить эти шаги

### Зачем вы разработали этот проект?
Чтобы выполнить пользователи могли подписывать документы онлайн

## To do
- [x] Создание наброска проекта, с шаблонами и подключением к БД
- [x] Интегрировать приложение DocuSign в проект
- [x] Развернуть сервис в Docker
- [x] Добавить крутое README
- [x] Добавить страницу с отображением статуса пользователю
- [x] Покрыть приложение тестами
- [ ] Отполировать все до блеска


## Источники
- [DocuSign](https://www.docusign.com/)
